# IceFaceTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IceFaceTag

Provides the Ice Face ability's effects.

#### Hierarchy (view full)

- BattlerTag
  - IceFaceTag

- Defined in src/data/battler-tags.ts:1490

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new IceFaceTag(sourceMove): IceFaceTag

- #### Parameters

  - sourceMove: Moves

  #### Returns IceFaceTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:1491

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from BattlerTag.lapseType

- Defined in src/data/battler-tags.ts:34

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:37

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:36

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:33

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:35

## Methods

### canAdd

- canAdd(pokemon): boolean

- Determines if the Ice Face tag can be added to the Pokémon.

  #### Parameters

  - pokemon: default

    The Pokémon to which the tag might be added.

  #### Returns boolean

  - True if the tag can be added, false otherwise.

  Overrides BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:1500

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:61

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:69

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:65

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:57

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:80

### onAdd

- onAdd(pokemon): void

- Applies the Ice Face tag to the Pokémon. Triggers a form change to Ice Face if the Pokémon is not in its Ice Face form.

  #### Parameters

  - pokemon: default

    The Pokémon to which the tag is added.

  #### Returns void

  Overrides BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:1518

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:55

### onRemove

- onRemove(pokemon): void

- Removes the Ice Face tag from the Pokémon. Triggers a form change to Noice when the tag is removed.

  #### Parameters

  - pokemon: default

    The Pokémon from which the tag is removed.

  #### Returns void

  Overrides BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:1531